php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #13752 .alloca missing
Submitted: 2001-10-19 09:36 UTC Modified: 2001-10-19 09:41 UTC
From: bastien dot leblanc at cgey dot com Assigned:
Status: Not a bug Package: Compile Failure
PHP Version: 4.0.6 OS: AIX 4.3
Private report: No CVE-ID: None
 [2001-10-19 09:36 UTC] bastien dot leblanc at cgey dot com
This bug has (I think) already be reported, but I tried all the solutions avaible:
set CFLAGS to -ma
use the last release (4.0.6RC4)

But none sloved the problem: At the end of the compilation of apache I always get:

<=== src/modules
        cc -c  -I./os/unix -I./include   -DAIX=43 -DUSE_PTHREAD_SERIALIZED_ACCEPT -U__STR__ -DAIX_BIND_PROCESSOR -qnogenpcomp -qnousepcomp -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4 -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/main -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/main -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/Zend -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/Zend -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/TSRM -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/TSRM -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4 -DUSE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` modules.c
        cc -c  -I./os/unix -I./include   -DAIX=43 -DUSE_PTHREAD_SERIALIZED_ACCEPT -U__STR__ -DAIX_BIND_PROCESSOR -qnogenpcomp -qnousepcomp -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4 -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/main -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/main -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/Zend -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/Zend -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/TSRM -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/TSRM -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4 -DUSE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` buildmark.c
        cc  -DAIX=43 -DUSE_PTHREAD_SERIALIZED_ACCEPT -U__STR__ -DAIX_BIND_PROCESSOR -qnogenpcomp -qnousepcomp -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4 -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/main -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/main -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/Zend -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/Zend -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/TSRM -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4/TSRM -I/fs03/DEV/BDDSIL/SUPERVISEUR/php-4.0.6RC4 -DUSE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` -lm -lpthread    -o httpd buildmark.o modules.o  modules/php4/libphp4.a  modules/standard/libstandard.a  main/libmain.a  ./os/unix/libos.a  ap/libap.a  lib/expat-lite/libexpat.a  -R/fs01/appl/DEV/oracle817/lib  -L/fs01/appl/DEV/oracle817/lib -Lmodules/php4 -L../modules/php4 -L../../modules/php4 -lmodphp4   -ldl -lld -lbsd_r -lm -lodm -ldl -lld -lbsd_r -lm -lodm -ldl -lcrypt -lbind -lm -ldl  -lclntsh -lclntsh  
ld : 0706-027 L'option -R /fs01/appl/DEV/oracle817/lib n'est pas prise en compte.
ld : 0711-317 ERREUR : undefinned: .alloca
ld : 0711-345 Use the -bloadmap or -bnoquiet option to obtain more information
make : 1254-004 The error code from the last command is 8.



my config line is:
-for php: 
./configure  --without-mysql --with-apache=../apache_1.3.22 --with-oci8 --with-oracle --enable-sigchild --enable-track-vars
(But I tried with less or other parameters it is the same problem)

-for apache:
./configure --activate-module=src/modules/php4/libphp4.a

Thank you in advance for your help

Bastien Leblanc
Cap GEMINI France

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-10-19 09:38 UTC] bastien dot leblanc at cgey dot com
Sorry I posted it twice, sorry for the inconvenience
 [2001-10-19 09:41 UTC] derick@php.net
marking the second one bogus then...
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Sat Feb 29 08:01:27 2020 UTC